Subject: Re: bug#14970: crash deleting frames
From: Eli Zaretskii <[email-masked]>
To: Juanma Barranquero <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Jul 2013 20:28:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Juanma Barranquero <[email-masked]>
> Date: Sun, 28 Jul 2013 19:04:08 +0200
> Cc: [email-masked]
> 
> On Sun, Jul 28, 2013 at 5:25 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > Does revision 113576 fix this?
> 
> Hard to say, but I just deleted 40+ frames and didn't trigger the bug,
> so hopefully yes. Close the bug and I'll re-open it if the bug
> reappears.

Done.

> > If not, please try to provide a
> > reproducing recipe, even if it is not 100% reliable.
> 
> The only recipe I had: enable desktop-save-mode, create 20+ frames,
> save, restore Emacs again, delete all the frames as fast as possible
> by clicking on the Close buttons. And I don't think the desktop saving
> & restoring is really relevant, but that's what I was doing everytime
> the bug happened.

Did you create the frames manually, or do you have some Lisp to
sweeten the pill?